eu.smoser.dungeongenerator.dungeon.objects

## Class Trap

- java.lang.Object
- - eu.smoser.dungeongenerator.dungeon.objects.ADungeonObject
  - - eu.smoser.dungeongenerator.dungeon.objects.Trap

    public class Trap
    extends ADungeonObject

Stores information about a trap

### Field Summary

### Fields inherited from class eu.smoser.dungeongenerator.dungeon.objects.ADungeonObject

`descString`

### Constructor Summary

Constructors
Constructor and Description
`Trap()` Constructs a random trap

### Method Summary

### Methods inherited from class eu.smoser.dungeongenerator.dungeon.objects.ADungeonObject

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Trap

    public Trap()

Constructs a random trap